PageRenderTime 99ms CodeModel.GetById 17ms app.highlight 73ms RepoModel.GetById 1ms app.codeStats 1ms

/crypto/heimdal/appl/telnet/telnet/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 970 lines | 859 code | 86 blank | 25 comment | 154 complexity | 202395c416584efabd2713274ef3394b MD5 | raw file
  1# Makefile.in generated by automake 1.11.1 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
  6# Inc.
  7# This Makefile.in is free software; the Free Software Foundation
  8# gives unlimited permission to copy and/or distribute it,
  9# with or without modifications, as long as this notice is preserved.
 10
 11# This program is distributed in the hope that it will be useful,
 12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 14# PARTICULAR PURPOSE.
 15
 16@SET_MAKE@
 17
 18# $Id$
 19
 20# $Id$
 21
 22# $Id$
 23
 24VPATH = @srcdir@
 25pkgdatadir = $(datadir)/@PACKAGE@
 26pkgincludedir = $(includedir)/@PACKAGE@
 27pkglibdir = $(libdir)/@PACKAGE@
 28pkglibexecdir = $(libexecdir)/@PACKAGE@
 29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 30install_sh_DATA = $(install_sh) -c -m 644
 31install_sh_PROGRAM = $(install_sh) -c
 32install_sh_SCRIPT = $(install_sh) -c
 33INSTALL_HEADER = $(INSTALL_DATA)
 34transform = $(program_transform_name)
 35NORMAL_INSTALL = :
 36PRE_INSTALL = :
 37POST_INSTALL = :
 38NORMAL_UNINSTALL = :
 39PRE_UNINSTALL = :
 40POST_UNINSTALL = :
 41build_triplet = @build@
 42host_triplet = @host@
 43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 44	$(top_srcdir)/Makefile.am.common \
 45	$(top_srcdir)/cf/Makefile.am.common
 46bin_PROGRAMS = telnet$(EXEEXT)
 47subdir = appl/telnet/telnet
 48ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 49am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
 50	$(top_srcdir)/cf/auth-modules.m4 \
 51	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
 52	$(top_srcdir)/cf/broken-glob.m4 \
 53	$(top_srcdir)/cf/broken-realloc.m4 \
 54	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
 55	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
 56	$(top_srcdir)/cf/capabilities.m4 \
 57	$(top_srcdir)/cf/check-compile-et.m4 \
 58	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
 59	$(top_srcdir)/cf/check-man.m4 \
 60	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
 61	$(top_srcdir)/cf/check-type-extra.m4 \
 62	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
 63	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
 64	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
 65	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
 66	$(top_srcdir)/cf/find-func-no-libs.m4 \
 67	$(top_srcdir)/cf/find-func-no-libs2.m4 \
 68	$(top_srcdir)/cf/find-func.m4 \
 69	$(top_srcdir)/cf/find-if-not-broken.m4 \
 70	$(top_srcdir)/cf/framework-security.m4 \
 71	$(top_srcdir)/cf/have-struct-field.m4 \
 72	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
 73	$(top_srcdir)/cf/krb-bigendian.m4 \
 74	$(top_srcdir)/cf/krb-func-getlogin.m4 \
 75	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
 76	$(top_srcdir)/cf/krb-readline.m4 \
 77	$(top_srcdir)/cf/krb-struct-spwd.m4 \
 78	$(top_srcdir)/cf/krb-struct-winsize.m4 \
 79	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
 80	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
 81	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
 82	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
 83	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
 84	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
 85	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
 86	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
 87	$(top_srcdir)/cf/roken-frag.m4 \
 88	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
 89	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
 90	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
 91	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
 92	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
 93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 94	$(ACLOCAL_M4)
 95mkinstalldirs = $(install_sh) -d
 96CONFIG_HEADER = $(top_builddir)/include/config.h
 97CONFIG_CLEAN_FILES =
 98CONFIG_CLEAN_VPATH_FILES =
 99am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
100PROGRAMS = $(bin_PROGRAMS)
101am_telnet_OBJECTS = authenc.$(OBJEXT) commands.$(OBJEXT) \
102	main.$(OBJEXT) network.$(OBJEXT) ring.$(OBJEXT) \
103	sys_bsd.$(OBJEXT) telnet.$(OBJEXT) terminal.$(OBJEXT) \
104	utilities.$(OBJEXT)
105telnet_OBJECTS = $(am_telnet_OBJECTS)
106telnet_LDADD = $(LDADD)
107am__DEPENDENCIES_1 =
108telnet_DEPENDENCIES = ../libtelnet/libtelnet.a $(LIB_krb5) \
109	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) $(LIB_kdfs) \
110	$(am__DEPENDENCIES_1)
111depcomp = $(SHELL) $(top_srcdir)/depcomp
112am__depfiles_maybe = depfiles
113am__mv = mv -f
114COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
115	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
116LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
117	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
118	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
119CCLD = $(CC)
120LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
121	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
122	$(LDFLAGS) -o $@
123SOURCES = $(telnet_SOURCES)
124DIST_SOURCES = $(telnet_SOURCES)
125am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
126am__vpath_adj = case $$p in \
127    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
128    *) f=$$p;; \
129  esac;
130am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
131am__install_max = 40
132am__nobase_strip_setup = \
133  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
134am__nobase_strip = \
135  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
136am__nobase_list = $(am__nobase_strip_setup); \
137  for p in $$list; do echo "$$p $$p"; done | \
138  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
139  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
140    if (++n[$$2] == $(am__install_max)) \
141      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
142    END { for (dir in files) print dir, files[dir] }'
143am__base_list = \
144  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
145  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
146man1dir = $(mandir)/man1
147MANS = $(man_MANS)
148ETAGS = etags
149CTAGS = ctags
150DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
151ACLOCAL = @ACLOCAL@
152AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
153AMTAR = @AMTAR@
154AR = @AR@
155ASN1_COMPILE = @ASN1_COMPILE@
156ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
157AUTOCONF = @AUTOCONF@
158AUTOHEADER = @AUTOHEADER@
159AUTOMAKE = @AUTOMAKE@
160AWK = @AWK@
161CANONICAL_HOST = @CANONICAL_HOST@
162CAPNG_CFLAGS = @CAPNG_CFLAGS@
163CAPNG_LIBS = @CAPNG_LIBS@
164CATMAN = @CATMAN@
165CATMANEXT = @CATMANEXT@
166CC = @CC@
167CCDEPMODE = @CCDEPMODE@
168CFLAGS = @CFLAGS@
169COMPILE_ET = @COMPILE_ET@
170CPP = @CPP@
171CPPFLAGS = @CPPFLAGS@
172CYGPATH_W = @CYGPATH_W@
173DBHEADER = @DBHEADER@
174DBLIB = @DBLIB@
175DEFS = @DEFS@
176DEPDIR = @DEPDIR@
177DIR_com_err = @DIR_com_err@
178DIR_hcrypto = @DIR_hcrypto@
179DIR_hdbdir = @DIR_hdbdir@
180DIR_roken = @DIR_roken@
181DLLTOOL = @DLLTOOL@
182DSYMUTIL = @DSYMUTIL@
183DUMPBIN = @DUMPBIN@
184ECHO_C = @ECHO_C@
185ECHO_N = @ECHO_N@
186ECHO_T = @ECHO_T@
187EGREP = @EGREP@
188EXEEXT = @EXEEXT@
189FGREP = @FGREP@
190GREP = @GREP@
191GROFF = @GROFF@
192INCLUDES_roken = @INCLUDES_roken@
193INCLUDE_hcrypto = @INCLUDE_hcrypto@
194INCLUDE_hesiod = @INCLUDE_hesiod@
195INCLUDE_krb4 = @INCLUDE_krb4@
196INCLUDE_libedit = @INCLUDE_libedit@
197INCLUDE_libintl = @INCLUDE_libintl@
198INCLUDE_openldap = @INCLUDE_openldap@
199INCLUDE_readline = @INCLUDE_readline@
200INCLUDE_sqlite3 = @INCLUDE_sqlite3@
201INSTALL = @INSTALL@
202INSTALL_DATA = @INSTALL_DATA@
203INSTALL_PROGRAM = @INSTALL_PROGRAM@
204INSTALL_SCRIPT = @INSTALL_SCRIPT@
205INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
206LD = @LD@
207LDFLAGS = @LDFLAGS@
208LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
209LEX = @LEX@
210LEXLIB = @LEXLIB@
211LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
212LIBADD_roken = @LIBADD_roken@
213LIBOBJS = @LIBOBJS@
214LIBS = @LIBS@
215LIBTOOL = @LIBTOOL@
216LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
217LIB_NDBM = @LIB_NDBM@
218LIB_XauFileName = @LIB_XauFileName@
219LIB_XauReadAuth = @LIB_XauReadAuth@
220LIB_XauWriteAuth = @LIB_XauWriteAuth@
221LIB_bswap16 = @LIB_bswap16@
222LIB_bswap32 = @LIB_bswap32@
223LIB_com_err = @LIB_com_err@
224LIB_com_err_a = @LIB_com_err_a@
225LIB_com_err_so = @LIB_com_err_so@
226LIB_crypt = @LIB_crypt@
227LIB_db_create = @LIB_db_create@
228LIB_dbm_firstkey = @LIB_dbm_firstkey@
229LIB_dbopen = @LIB_dbopen@
230LIB_dispatch_async_f = @LIB_dispatch_async_f@
231LIB_dlopen = @LIB_dlopen@
232LIB_dn_expand = @LIB_dn_expand@
233LIB_dns_search = @LIB_dns_search@
234LIB_door_create = @LIB_door_create@
235LIB_freeaddrinfo = @LIB_freeaddrinfo@
236LIB_gai_strerror = @LIB_gai_strerror@
237LIB_getaddrinfo = @LIB_getaddrinfo@
238LIB_gethostbyname = @LIB_gethostbyname@
239LIB_gethostbyname2 = @LIB_gethostbyname2@
240LIB_getnameinfo = @LIB_getnameinfo@
241LIB_getpwnam_r = @LIB_getpwnam_r@
242LIB_getsockopt = @LIB_getsockopt@
243LIB_hcrypto = @LIB_hcrypto@
244LIB_hcrypto_a = @LIB_hcrypto_a@
245LIB_hcrypto_appl = @LIB_hcrypto_appl@
246LIB_hcrypto_so = @LIB_hcrypto_so@
247LIB_hesiod = @LIB_hesiod@
248LIB_hstrerror = @LIB_hstrerror@
249LIB_kdb = @LIB_kdb@
250LIB_krb4 = @LIB_krb4@
251LIB_libedit = @LIB_libedit@
252LIB_libintl = @LIB_libintl@
253LIB_loadquery = @LIB_loadquery@
254LIB_logout = @LIB_logout@
255LIB_logwtmp = @LIB_logwtmp@
256LIB_openldap = @LIB_openldap@
257LIB_openpty = @LIB_openpty@
258LIB_otp = @LIB_otp@
259LIB_pidfile = @LIB_pidfile@
260LIB_readline = @LIB_readline@
261LIB_res_ndestroy = @LIB_res_ndestroy@
262LIB_res_nsearch = @LIB_res_nsearch@
263LIB_res_search = @LIB_res_search@
264LIB_roken = @LIB_roken@
265LIB_security = @LIB_security@
266LIB_setsockopt = @LIB_setsockopt@
267LIB_socket = @LIB_socket@
268LIB_sqlite3 = @LIB_sqlite3@
269LIB_syslog = @LIB_syslog@
270LIB_tgetent = @LIB_tgetent@
271LIPO = @LIPO@
272LN_S = @LN_S@
273LTLIBOBJS = @LTLIBOBJS@
274MAINT = @MAINT@
275MAKEINFO = @MAKEINFO@
276MANIFEST_TOOL = @MANIFEST_TOOL@
277MKDIR_P = @MKDIR_P@
278NM = @NM@
279NMEDIT = @NMEDIT@
280NO_AFS = @NO_AFS@
281NROFF = @NROFF@
282OBJDUMP = @OBJDUMP@
283OBJEXT = @OBJEXT@
284OTOOL = @OTOOL@
285OTOOL64 = @OTOOL64@
286PACKAGE = @PACKAGE@
287PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
288PACKAGE_NAME = @PACKAGE_NAME@
289PACKAGE_STRING = @PACKAGE_STRING@
290PACKAGE_TARNAME = @PACKAGE_TARNAME@
291PACKAGE_URL = @PACKAGE_URL@
292PACKAGE_VERSION = @PACKAGE_VERSION@
293PATH_SEPARATOR = @PATH_SEPARATOR@
294PKG_CONFIG = @PKG_CONFIG@
295PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
296PTHREAD_LDADD = @PTHREAD_LDADD@
297PTHREAD_LIBADD = @PTHREAD_LIBADD@
298RANLIB = @RANLIB@
299SED = @SED@
300SET_MAKE = @SET_MAKE@
301SHELL = @SHELL@
302SLC = @SLC@
303SLC_DEP = @SLC_DEP@
304STRIP = @STRIP@
305VERSION = @VERSION@
306VERSIONING = @VERSIONING@
307WFLAGS = @WFLAGS@
308WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
309WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
310XMKMF = @XMKMF@
311X_CFLAGS = @X_CFLAGS@
312X_EXTRA_LIBS = @X_EXTRA_LIBS@
313X_LIBS = @X_LIBS@
314X_PRE_LIBS = @X_PRE_LIBS@
315YACC = @YACC@
316YFLAGS = @YFLAGS@
317abs_builddir = @abs_builddir@
318abs_srcdir = @abs_srcdir@
319abs_top_builddir = @abs_top_builddir@
320abs_top_srcdir = @abs_top_srcdir@
321ac_ct_AR = @ac_ct_AR@
322ac_ct_CC = @ac_ct_CC@
323ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
324am__include = @am__include@
325am__leading_dot = @am__leading_dot@
326am__quote = @am__quote@
327am__tar = @am__tar@
328am__untar = @am__untar@
329bindir = @bindir@
330build = @build@
331build_alias = @build_alias@
332build_cpu = @build_cpu@
333build_os = @build_os@
334build_vendor = @build_vendor@
335builddir = @builddir@
336datadir = @datadir@
337datarootdir = @datarootdir@
338docdir = @docdir@
339dpagaix_cflags = @dpagaix_cflags@
340dpagaix_ldadd = @dpagaix_ldadd@
341dpagaix_ldflags = @dpagaix_ldflags@
342dvidir = @dvidir@
343exec_prefix = @exec_prefix@
344host = @host@
345host_alias = @host_alias@
346host_cpu = @host_cpu@
347host_os = @host_os@
348host_vendor = @host_vendor@
349htmldir = @htmldir@
350includedir = @includedir@
351infodir = @infodir@
352install_sh = @install_sh@
353libdir = @libdir@
354libexecdir = @libexecdir@
355localedir = @localedir@
356localstatedir = @localstatedir@
357mandir = @mandir@
358mkdir_p = @mkdir_p@
359oldincludedir = @oldincludedir@
360pdfdir = @pdfdir@
361prefix = @prefix@
362program_transform_name = @program_transform_name@
363psdir = @psdir@
364sbindir = @sbindir@
365sharedstatedir = @sharedstatedir@
366srcdir = @srcdir@
367subdirs = @subdirs@
368sysconfdir = @sysconfdir@
369target_alias = @target_alias@
370top_build_prefix = @top_build_prefix@
371top_builddir = @top_builddir@
372top_srcdir = @top_srcdir@
373SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
374DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
375AM_CPPFLAGS = $(INCLUDES_roken) -I$(srcdir)/.. $(INCLUDE_hcrypto)
376@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
377AM_CFLAGS = $(WFLAGS)
378CP = cp
379buildinclude = $(top_builddir)/include
380LIB_el_init = @LIB_el_init@
381LIB_getattr = @LIB_getattr@
382LIB_getpwent_r = @LIB_getpwent_r@
383LIB_odm_initialize = @LIB_odm_initialize@
384LIB_setpcred = @LIB_setpcred@
385HESIODLIB = @HESIODLIB@
386HESIODINCLUDE = @HESIODINCLUDE@
387libexec_heimdaldir = $(libexecdir)/heimdal
388NROFF_MAN = groff -mandoc -Tascii
389LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
390@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
391@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
392
393@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
394LIB_heimbase = $(top_builddir)/base/libheimbase.la
395@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
396CHECK_LOCAL = 
397telnet_SOURCES = authenc.c commands.c main.c network.c ring.c \
398		  sys_bsd.c telnet.c terminal.c \
399		  utilities.c defines.h externs.h ring.h telnet_locl.h types.h
400
401man_MANS = telnet.1
402LDADD = ../libtelnet/libtelnet.a \
403	$(LIB_krb5) \
404	$(LIB_hcrypto) \
405	$(LIB_tgetent) \
406	$(LIB_kdfs) \
407	$(LIB_roken)
408
409EXTRA_DIST = NTMakefile $(man_MANS)
410all: all-am
411
412.SUFFIXES:
413.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
414$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
415	@for dep in $?; do \
416	  case '$(am__configure_deps)' in \
417	    *$$dep*) \
418	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
419	        && { if test -f $@; then exit 0; else break; fi; }; \
420	      exit 1;; \
421	  esac; \
422	done; \
423	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign appl/telnet/telnet/Makefile'; \
424	$(am__cd) $(top_srcdir) && \
425	  $(AUTOMAKE) --foreign appl/telnet/telnet/Makefile
426.PRECIOUS: Makefile
427Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
428	@case '$?' in \
429	  *config.status*) \
430	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
431	  *) \
432	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
433	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
434	esac;
435
436$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
437	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
438
439$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
440	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
441$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
442	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
443$(am__aclocal_m4_deps):
444install-binPROGRAMS: $(bin_PROGRAMS)
445	@$(NORMAL_INSTALL)
446	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
447	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
448	for p in $$list; do echo "$$p $$p"; done | \
449	sed 's/$(EXEEXT)$$//' | \
450	while read p p1; do if test -f $$p || test -f $$p1; \
451	  then echo "$$p"; echo "$$p"; else :; fi; \
452	done | \
453	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
454	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
455	sed 'N;N;N;s,\n, ,g' | \
456	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
457	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
458	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
459	    else { print "f", $$3 "/" $$4, $$1; } } \
460	  END { for (d in files) print "f", d, files[d] }' | \
461	while read type dir files; do \
462	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
463	    test -z "$$files" || { \
464	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
465	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
466	    } \
467	; done
468
469uninstall-binPROGRAMS:
470	@$(NORMAL_UNINSTALL)
471	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
472	files=`for p in $$list; do echo "$$p"; done | \
473	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
474	      -e 's/$$/$(EXEEXT)/' `; \
475	test -n "$$list" || exit 0; \
476	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
477	cd "$(DESTDIR)$(bindir)" && rm -f $$files
478
479clean-binPROGRAMS:
480	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
481	echo " rm -f" $$list; \
482	rm -f $$list || exit $$?; \
483	test -n "$(EXEEXT)" || exit 0; \
484	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
485	echo " rm -f" $$list; \
486	rm -f $$list
487telnet$(EXEEXT): $(telnet_OBJECTS) $(telnet_DEPENDENCIES) 
488	@rm -f telnet$(EXEEXT)
489	$(LINK) $(telnet_OBJECTS) $(telnet_LDADD) $(LIBS)
490
491mostlyclean-compile:
492	-rm -f *.$(OBJEXT)
493
494distclean-compile:
495	-rm -f *.tab.c
496
497@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authenc.Po@am__quote@
498@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commands.Po@am__quote@
499@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
500@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/network.Po@am__quote@
501@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ring.Po@am__quote@
502@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sys_bsd.Po@am__quote@
503@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/telnet.Po@am__quote@
504@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/terminal.Po@am__quote@
505@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utilities.Po@am__quote@
506
507.c.o:
508@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
509@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
510@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
511@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
512@am__fastdepCC_FALSE@	$(COMPILE) -c $<
513
514.c.obj:
515@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
516@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
517@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
518@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
519@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
520
521.c.lo:
522@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
523@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
524@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
525@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
526@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
527
528mostlyclean-libtool:
529	-rm -f *.lo
530
531clean-libtool:
532	-rm -rf .libs _libs
533install-man1: $(man_MANS)
534	@$(NORMAL_INSTALL)
535	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
536	@list=''; test -n "$(man1dir)" || exit 0; \
537	{ for i in $$list; do echo "$$i"; done; \
538	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
539	  sed -n '/\.1[a-z]*$$/p'; \
540	} | while read p; do \
541	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
542	  echo "$$d$$p"; echo "$$p"; \
543	done | \
544	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
545	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
546	sed 'N;N;s,\n, ,g' | { \
547	list=; while read file base inst; do \
548	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
549	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
550	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
551	  fi; \
552	done; \
553	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
554	while read files; do \
555	  test -z "$$files" || { \
556	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
557	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
558	done; }
559
560uninstall-man1:
561	@$(NORMAL_UNINSTALL)
562	@list=''; test -n "$(man1dir)" || exit 0; \
563	files=`{ for i in $$list; do echo "$$i"; done; \
564	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
565	  sed -n '/\.1[a-z]*$$/p'; \
566	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
567	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
568	test -z "$$files" || { \
569	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
570	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
571
572ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
573	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
574	unique=`for i in $$list; do \
575	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
576	  done | \
577	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
578	      END { if (nonempty) { for (i in files) print i; }; }'`; \
579	mkid -fID $$unique
580tags: TAGS
581
582TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
583		$(TAGS_FILES) $(LISP)
584	set x; \
585	here=`pwd`; \
586	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
587	unique=`for i in $$list; do \
588	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
589	  done | \
590	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
591	      END { if (nonempty) { for (i in files) print i; }; }'`; \
592	shift; \
593	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
594	  test -n "$$unique" || unique=$$empty_fix; \
595	  if test $$# -gt 0; then \
596	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
597	      "$$@" $$unique; \
598	  else \
599	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
600	      $$unique; \
601	  fi; \
602	fi
603ctags: CTAGS
604CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
605		$(TAGS_FILES) $(LISP)
606	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
607	unique=`for i in $$list; do \
608	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
609	  done | \
610	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
611	      END { if (nonempty) { for (i in files) print i; }; }'`; \
612	test -z "$(CTAGS_ARGS)$$unique" \
613	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
614	     $$unique
615
616GTAGS:
617	here=`$(am__cd) $(top_builddir) && pwd` \
618	  && $(am__cd) $(top_srcdir) \
619	  && gtags -i $(GTAGS_ARGS) "$$here"
620
621distclean-tags:
622	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
623
624distdir: $(DISTFILES)
625	@list='$(MANS)'; if test -n "$$list"; then \
626	  list=`for p in $$list; do \
627	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
628	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
629	  if test -n "$$list" && \
630	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
631	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
632	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
633	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
634	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
635	    exit 1; \
636	  else :; fi; \
637	else :; fi
638	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
639	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
640	list='$(DISTFILES)'; \
641	  dist_files=`for file in $$list; do echo $$file; done | \
642	  sed -e "s|^$$srcdirstrip/||;t" \
643	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
644	case $$dist_files in \
645	  */*) $(MKDIR_P) `echo "$$dist_files" | \
646			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
647			   sort -u` ;; \
648	esac; \
649	for file in $$dist_files; do \
650	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
651	  if test -d $$d/$$file; then \
652	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
653	    if test -d "$(distdir)/$$file"; then \
654	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
655	    fi; \
656	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
657	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
658	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
659	    fi; \
660	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
661	  else \
662	    test -f "$(distdir)/$$file" \
663	    || cp -p $$d/$$file "$(distdir)/$$file" \
664	    || exit 1; \
665	  fi; \
666	done
667	$(MAKE) $(AM_MAKEFLAGS) \
668	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
669	  dist-hook
670check-am: all-am
671	$(MAKE) $(AM_MAKEFLAGS) check-local
672check: check-am
673all-am: Makefile $(PROGRAMS) $(MANS) all-local
674installdirs:
675	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
676	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
677	done
678install: install-am
679install-exec: install-exec-am
680install-data: install-data-am
681uninstall: uninstall-am
682
683install-am: all-am
684	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
685
686installcheck: installcheck-am
687install-strip:
688	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
689	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
690	  `test -z '$(STRIP)' || \
691	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
692mostlyclean-generic:
693
694clean-generic:
695
696distclean-generic:
697	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
698	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
699
700maintainer-clean-generic:
701	@echo "This command is intended for maintainers to use"
702	@echo "it deletes files that may require special tools to rebuild."
703clean: clean-am
704
705clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
706
707distclean: distclean-am
708	-rm -rf ./$(DEPDIR)
709	-rm -f Makefile
710distclean-am: clean-am distclean-compile distclean-generic \
711	distclean-tags
712
713dvi: dvi-am
714
715dvi-am:
716
717html: html-am
718
719html-am:
720
721info: info-am
722
723info-am:
724
725install-data-am: install-man
726	@$(NORMAL_INSTALL)
727	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
728install-dvi: install-dvi-am
729
730install-dvi-am:
731
732install-exec-am: install-binPROGRAMS
733	@$(NORMAL_INSTALL)
734	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
735install-html: install-html-am
736
737install-html-am:
738
739install-info: install-info-am
740
741install-info-am:
742
743install-man: install-man1
744
745install-pdf: install-pdf-am
746
747install-pdf-am:
748
749install-ps: install-ps-am
750
751install-ps-am:
752
753installcheck-am:
754
755maintainer-clean: maintainer-clean-am
756	-rm -rf ./$(DEPDIR)
757	-rm -f Makefile
758maintainer-clean-am: distclean-am maintainer-clean-generic
759
760mostlyclean: mostlyclean-am
761
762mostlyclean-am: mostlyclean-compile mostlyclean-generic \
763	mostlyclean-libtool
764
765pdf: pdf-am
766
767pdf-am:
768
769ps: ps-am
770
771ps-am:
772
773uninstall-am: uninstall-binPROGRAMS uninstall-man
774	@$(NORMAL_INSTALL)
775	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
776uninstall-man: uninstall-man1
777
778.MAKE: check-am install-am install-data-am install-exec-am \
779	install-strip uninstall-am
780
781.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
782	clean clean-binPROGRAMS clean-generic clean-libtool ctags \
783	dist-hook distclean distclean-compile distclean-generic \
784	distclean-libtool distclean-tags distdir dvi dvi-am html \
785	html-am info info-am install install-am install-binPROGRAMS \
786	install-data install-data-am install-data-hook install-dvi \
787	install-dvi-am install-exec install-exec-am install-exec-hook \
788	install-html install-html-am install-info install-info-am \
789	install-man install-man1 install-pdf install-pdf-am install-ps \
790	install-ps-am install-strip installcheck installcheck-am \
791	installdirs maintainer-clean maintainer-clean-generic \
792	mostlyclean mostlyclean-compile mostlyclean-generic \
793	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
794	uninstall-am uninstall-binPROGRAMS uninstall-hook \
795	uninstall-man uninstall-man1
796
797
798install-suid-programs:
799	@foo='$(bin_SUIDS)'; \
800	for file in $$foo; do \
801	x=$(DESTDIR)$(bindir)/$$file; \
802	if chown 0:0 $$x && chmod u+s $$x; then :; else \
803	echo "*"; \
804	echo "* Failed to install $$x setuid root"; \
805	echo "*"; \
806	fi; done
807
808install-exec-hook: install-suid-programs
809
810install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
811	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
812	for f in $$foo; do \
813		f=`basename $$f`; \
814		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
815		else file="$$f"; fi; \
816		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
817		: ; else \
818			echo " $(CP) $$file $(buildinclude)/$$f"; \
819			$(CP) $$file $(buildinclude)/$$f; \
820		fi ; \
821	done ; \
822	foo='$(nobase_include_HEADERS)'; \
823	for f in $$foo; do \
824		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
825		else file="$$f"; fi; \
826		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
827		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
828		: ; else \
829			echo " $(CP) $$file $(buildinclude)/$$f"; \
830			$(CP) $$file $(buildinclude)/$$f; \
831		fi ; \
832	done
833
834all-local: install-build-headers
835
836check-local::
837	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
838	  foo=''; elif test '$(CHECK_LOCAL)'; then \
839	  foo='$(CHECK_LOCAL)'; else \
840	  foo='$(PROGRAMS)'; fi; \
841	  if test "$$foo"; then \
842	  failed=0; all=0; \
843	  for i in $$foo; do \
844	    all=`expr $$all + 1`; \
845	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
846	      echo "PASS: $$i"; \
847	    else \
848	      echo "FAIL: $$i"; \
849	      failed=`expr $$failed + 1`; \
850	    fi; \
851	  done; \
852	  if test "$$failed" -eq 0; then \
853	    banner="All $$all tests passed"; \
854	  else \
855	    banner="$$failed of $$all tests failed"; \
856	  fi; \
857	  dashes=`echo "$$banner" | sed s/./=/g`; \
858	  echo "$$dashes"; \
859	  echo "$$banner"; \
860	  echo "$$dashes"; \
861	  test "$$failed" -eq 0 || exit 1; \
862	fi
863
864.x.c:
865	@cmp -s $< $@ 2> /dev/null || cp $< $@
866
867.hx.h:
868	@cmp -s $< $@ 2> /dev/null || cp $< $@
869#NROFF_MAN = nroff -man
870.1.cat1:
871	$(NROFF_MAN) $< > $@
872.3.cat3:
873	$(NROFF_MAN) $< > $@
874.5.cat5:
875	$(NROFF_MAN) $< > $@
876.8.cat8:
877	$(NROFF_MAN) $< > $@
878
879dist-cat1-mans:
880	@foo='$(man1_MANS)'; \
881	bar='$(man_MANS)'; \
882	for i in $$bar; do \
883	case $$i in \
884	*.1) foo="$$foo $$i";; \
885	esac; done ;\
886	for i in $$foo; do \
887		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
888		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
889		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
890	done
891
892dist-cat3-mans:
893	@foo='$(man3_MANS)'; \
894	bar='$(man_MANS)'; \
895	for i in $$bar; do \
896	case $$i in \
897	*.3) foo="$$foo $$i";; \
898	esac; done ;\
899	for i in $$foo; do \
900		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
901		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
902		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
903	done
904
905dist-cat5-mans:
906	@foo='$(man5_MANS)'; \
907	bar='$(man_MANS)'; \
908	for i in $$bar; do \
909	case $$i in \
910	*.5) foo="$$foo $$i";; \
911	esac; done ;\
912	for i in $$foo; do \
913		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
914		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
915		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
916	done
917
918dist-cat8-mans:
919	@foo='$(man8_MANS)'; \
920	bar='$(man_MANS)'; \
921	for i in $$bar; do \
922	case $$i in \
923	*.8) foo="$$foo $$i";; \
924	esac; done ;\
925	for i in $$foo; do \
926		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
927		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
928		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
929	done
930
931dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
932
933install-cat-mans:
934	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
935
936uninstall-cat-mans:
937	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
938
939install-data-hook: install-cat-mans
940uninstall-hook: uninstall-cat-mans
941
942.et.h:
943	$(COMPILE_ET) $<
944.et.c:
945	$(COMPILE_ET) $<
946
947#
948# Useful target for debugging
949#
950
951check-valgrind:
952	tobjdir=`cd $(top_builddir) && pwd` ; \
953	tsrcdir=`cd $(top_srcdir) && pwd` ; \
954	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
955
956#
957# Target to please samba build farm, builds distfiles in-tree.
958# Will break when automake changes...
959#
960
961distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
962	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
963	  if test "$$subdir" != .; then \
964	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
965	  fi ; \
966	done
967
968# Tell versions [3.59,3.63) of GNU make to not export all variables.
969# Otherwise a system limit (for SysV at least) may be exceeded.
970.NOEXPORT: